# Class User

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.User

public class User extends FBObject
This class represents a Facebook User objject http://developers.facebook.com/docs/reference/api/user/

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `User()`
  Empty Contructor
  `User(Hashtable props)`
  Creates a user from a hashtable of Facebook user properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(java.lang.Object o)`
  `String`
  `getAbout()`

  ###### Returns

  `String`
  `getBio()`

  ###### Returns

  `String`
  `getBirthday()`

  ###### Returns

  `String`
  `getEmail()`

  ###### Returns

  `String`
  `getFirst_name()`
  Deprecated.
  `String`
  `getFirstName()`

  ###### Returns

  `String`
  `getGender()`

  ###### Returns

  `FBObject`
  `getHometown()`
  Gets the user Hometown if available
  `String`
  `getLast_name()`
  Deprecated.
  `String`
  `getLast_updated()`
  Deprecated.
  `String`
  `getLastName()`

  ###### Returns

  `String`
  `getLastUpdated()`

  ###### Returns

  `String`
  `getLink()`

  ###### Returns

  `String`
  `getLocale()`

  ###### Returns

  `FBObject`
  `getLocation()`
  Gets the user City if available
  `String`
  `getQuotes()`

  ###### Returns

  `String`
  `getRelationship_status()`
  Deprecated.
  `String`
  `getRelationshipStatus()`

  ###### Returns

  `long`
  `getTimezone()`

  ###### Returns

  `String`
  `getUsername()`
  Returns the username
  `String`
  `getWebsite()`

  ###### Returns

  `int`
  `hashCode()`

  ### Methods inherited from class FBObject

  `getId, getName, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### User

    public User()
    Empty Contructor

  - ### User

    public User(Hashtable props)

    Creates a user from a hashtable of Facebook user properties.

    ###### Parameters

    - `props`: the properties map used to initialize the user.

- ## Method Details

  - ### getFirst_name

    @Deprecated public String getFirst_name()
    Deprecated.

    ###### Returns

    the first_name

    ###### Deprecated

    Use `#getFirstName()`.

  - ### getFirstName

    public String getFirstName()

    ###### Returns

    the first name

  - ### getLast_name

    @Deprecated public String getLast_name()
    Deprecated.

    ###### Returns

    the last_name

    ###### Deprecated

    Use `#getLastName()`.

  - ### getLastName

    public String getLastName()

    ###### Returns

    the last name

  - ### getLink

    public String getLink()

    ###### Returns

    the link

  - ### getAbout

    public String getAbout()

    ###### Returns

    the about

  - ### getBirthday

    public String getBirthday()

    ###### Returns

    the birthday

  - ### getEmail

    public String getEmail()

    ###### Returns

    the email

  - ### getWebsite

    public String getWebsite()

    ###### Returns

    the website

  - ### getBio

    public String getBio()

    ###### Returns

    the bio

  - ### getQuotes

    public String getQuotes()

    ###### Returns

    the quotes

  - ### getGender

    public String getGender()

    ###### Returns

    the gender

  - ### getRelationship_status

    @Deprecated public String getRelationship_status()
    Deprecated.

    ###### Returns

    the relationship_status

    ###### Deprecated

    Use `#getRelationshipStatus()`.

  - ### getRelationshipStatus

    public String getRelationshipStatus()

    ###### Returns

    the relationship status

  - ### getTimezone

    public long getTimezone()

    ###### Returns

    the timezone

  - ### getLast_updated

    @Deprecated public String getLast_updated()
    Deprecated.

    ###### Returns

    the last_updated

    ###### Deprecated

    Use `#getLastUpdated()`.

  - ### getLastUpdated

    public String getLastUpdated()

    ###### Returns

    the last updated

  - ### getLocale

    public String getLocale()

    ###### Returns

    the locale

  - ### getUsername

    public String getUsername()
    Returns the username

  - ### getLocation

    public FBObject getLocation()
    Gets the user City if available

  - ### getHometown

    public FBObject getHometown()
    Gets the user Hometown if available

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(java.lang.Object o)
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Overrides:
      `hashCode` in class `FBObject`